CVE-2021-37137

Uncontrolled Resource Consumption in maven/io.netty/netty-codec

Identifiers

CVE-2021-37137, GHSA-9vjp-v76f-g363

Package Slug

maven/io.netty/netty-codec

Vulnerability

Uncontrolled Resource Consumption

Description

The Snappy frame decoder function does not restrict the chunk length which may lead to excessive memory usage. Beside this it also may buffer reserved skippable chunks until the whole chunk was received which may lead to excessive memory usage as well. This vulnerability can be triggered by supplying malicious input that decompresses to a very big size (via a network stream or a file) or by sending a huge skippable chunk.

Affected Versions

All versions before 4.1.68

Solution

Upgrade to version 4.1.68.Final or above.

Last Modified

2021-10-25

source